Snowflake integration: operations for AI agents
Snowflake connects to Type.com as an integration. This page lists the 418 operations documented for Claude and Codex in Type.com: 135 read, 153 write, 130 destructive.
About Snowflake
Snowflake is a cloud-based data warehouse offering elastic scaling, secure data sharing, and SQL analytics across multiple cloud environments
Categories: Developer Tools & IT
How to connect Snowflake to Type.com
- Connect
- Access token
- Access
- Organization connection: one shared account for the workspace.
To add the connection, follow the steps in Space connections.
Documented operations
418 operations. Your connection's permissions determine which operations are available. API references describe the vendor surface; they do not expand your connection's credentials or access.
418 operations listed.
Account
- Read
List accounts.
Lists the accessible accounts.
GET /api/v2/accounts - Write
Create an account.
Creates a account. You must provide the full account definition when creating a account.
POST /api/v2/accounts - Write
Restore an account.
Restores a dropped account that has not yet been permanently deleted (a dropped account that is within its grace period).
POST /api/v2/accounts/{name}:undrop - Destructive
Delete an account.
Deletes the specified account. If you enable the ifExists parameter, the operation succeeds even if the account does not exist. Otherwise, a 404 failure is returned if the account does not exist. if the drop is unsuccessful.
DELETE /api/v2/accounts/{name}
Alert
- Read
List alerts
List alerts
GET /api/v2/databases/{database}/schemas/{schema}/alerts - Read
Fetch an alert
Fetch an alert
GET /api/v2/databases/{database}/schemas/{schema}/alerts/{name} - Read
Get the tag assignments for an alert.
Returns all tags assigned to an alert. This operation requires an active warehouse.
GET /api/v2/databases/{database}/schemas/{schema}/alerts/{name}:get-tags - Write
Execute an alert
Execute an alert
POST /api/v2/databases/{database}/schemas/{schema}/alerts/{name}:execute - Write
Set tags on an alert.
Set tags on an alert.
POST /api/v2/databases/{database}/schemas/{schema}/alerts/{name}:set-tags - Write
Unset tags from an alert.
Unset tags from an alert.
POST /api/v2/databases/{database}/schemas/{schema}/alerts/{name}:unset-tags - Destructive
Create an alert
Create an alert
POST /api/v2/databases/{database}/schemas/{schema}/alerts - Destructive
Delete an alert
Delete an alert
DELETE /api/v2/databases/{database}/schemas/{schema}/alerts/{name} - Destructive
Create a new alert by cloning from the specified resource
Create a new alert by cloning from the specified resource
POST /api/v2/databases/{database}/schemas/{schema}/alerts/{name}:clone
Api integration
- Read
List API integrations
List API integrations
GET /api/v2/api-integrations - Read
Fetch an API integration
Fetch an API integration
GET /api/v2/api-integrations/{name} - Read
Get the tag assignments for an API integration.
Returns all tags assigned to an API integration. This operation requires an active warehouse.
GET /api/v2/api-integrations/{name}:get-tags - Write
Set tags on an API integration.
Set tags on an API integration.
POST /api/v2/api-integrations/{name}:set-tags - Write
Unset tags from an API integration.
Unset tags from an API integration.
POST /api/v2/api-integrations/{name}:unset-tags - Destructive
Create an API integration
Create an API integration
POST /api/v2/api-integrations - Destructive
Create an (or alter an existing) API integration
Create an (or alter an existing) API integration. Note that APIKEY is not currently altered by this operation and is supported for a newly-created object only. Unsetting APIBLOCKEDPREFIXES is also unsupported.
PUT /api/v2/api-integrations/{name} - Destructive
Delete an API integration
Delete an API integration
DELETE /api/v2/api-integrations/{name}
Artifact repository
- Read
List artifact repositories
List artifact repositories
GET /api/v2/databases/{database}/schemas/{schema}/artifact-repositories - Read
Fetch an artifact repository
Fetch an artifact repository
GET /api/v2/databases/{database}/schemas/{schema}/artifact-repositories/{name} - Write
Changes the name of an artifact repository
Changes the name of an artifact repository
POST /api/v2/databases/{database}/schemas/{schema}/artifact-repositories/{name}:rename - Destructive
Create an artifact repository
Create an artifact repository
POST /api/v2/databases/{database}/schemas/{schema}/artifact-repositories - Destructive
Create or update an artifact repository
Create or update an artifact repository
PUT /api/v2/databases/{database}/schemas/{schema}/artifact-repositories/{name} - Destructive
Delete an artifact repository
Delete an artifact repository
DELETE /api/v2/databases/{database}/schemas/{schema}/artifact-repositories/{name}
Catalog integration
- Read
List catalog integrations.
List catalog integrations.
GET /api/v2/catalog-integrations - Read
Fetch a catalog integration.
Fetch a catalog integration.
GET /api/v2/catalog-integrations/{name} - Read
Get the tag assignments for a catalog integration.
Returns all tags assigned to a catalog integration. This operation requires an active warehouse.
GET /api/v2/catalog-integrations/{name}:get-tags - Write
Set tags on a catalog integration.
Set tags on a catalog integration.
POST /api/v2/catalog-integrations/{name}:set-tags - Write
Unset tags from a catalog integration.
Unset tags from a catalog integration.
POST /api/v2/catalog-integrations/{name}:unset-tags - Destructive
Create a catalog integration.
Create a catalog integration.
POST /api/v2/catalog-integrations - Destructive
Delete a catalog integration.
Delete a catalog integration.
DELETE /api/v2/catalog-integrations/{name}
Code bundle execution
- Read
List code bundle executions
List code bundle executions in the account, optionally filtered by bundle, entrypoint, time range, type, status, execution name, or query id. All query parameters are optional; with none supplied, recent executions are returned (up to the result limit).
GET /api/v2/code-bundle-executions - Read
Get the status of a code bundle execution
Fetch the execution status and details of a code bundle execution identified by its execution id.
GET /api/v2/code-bundle-executions/{executionId} - Write
Execute a code bundle
Execute a code bundle directly from a stage location, without first creating a named code bundle.
POST /api/v2/code-bundle-executions - Destructive
Cancel a code bundle execution
Cancel a running code bundle execution identified by its execution id.
POST /api/v2/code-bundle-executions/{executionId}:cancel
Code bundle
- Read
List code bundles
Lists code bundles under the database and schema.
GET /api/v2/databases/{database}/schemas/{schema}/code-bundles - Read
Fetch a code bundle
Fetch a code bundle with the given name.
GET /api/v2/databases/{database}/schemas/{schema}/code-bundles/{name} - Write
Execute a code bundle
Execute a code bundle with the given name.
POST /api/v2/databases/{database}/schemas/{schema}/code-bundles/{name}:execute - Write
Add a version to a code bundle
Add a new version to the code bundle by copying files from a specified stage location.
POST /api/v2/databases/{database}/schemas/{schema}/code-bundles/{name}:add-version - Destructive
Create a code bundle
Create a code bundle in the specified database and schema.
POST /api/v2/databases/{database}/schemas/{schema}/code-bundles - Destructive
Delete a code bundle
Delete a code bundle with the given name.
DELETE /api/v2/databases/{database}/schemas/{schema}/code-bundles/{name}
Compute pool
- Read
Lists compute pools.
Lists the compute pools under the account.
GET /api/v2/compute-pools - Read
Fetches a compute pool.
Fetches a named compute pool. You can get the name of the compute pool from the /api/v2/compute-pools GET request.
GET /api/v2/compute-pools/{name} - Read
Lists available compute pool instance families.
Lists all available instance families that can be used when creating compute pools.
GET /api/v2/compute-pools/instance-families - Read
Get the tag assignments for a compute pool.
Returns all tags assigned to a compute pool. This operation requires an active warehouse.
GET /api/v2/compute-pools/{name}:get-tags - Write
Resumes a suspended compute pool.
Resume a compute pool, if suspended. If the specified compute pool is already running, this will cause a 400 Bad Request error.
POST /api/v2/compute-pools/{name}:resume - Write
Suspends an active compute pool.
Suspend a compute pool, if active. If the specified compute pool is already suspended, no action is taken.
POST /api/v2/compute-pools/{name}:suspend - Write
Stops all services on the compute pool. (deprecated)
Stops all services in the compute pool. Deprecated - use :stop-all-services instead.
POST /api/v2/compute-pools/{name}:stopallservices - Write
Stops all services on the compute pool.
Stops all services in the compute pool.
POST /api/v2/compute-pools/{name}:stop-all-services - Write
Set tags on a compute pool.
Set tags on a compute pool.
POST /api/v2/compute-pools/{name}:set-tags - Write
Unset tags from a compute pool.
Unset tags from a compute pool.
POST /api/v2/compute-pools/{name}:unset-tags - Destructive
Creates a compute pool.
Creates a compute pool, with standard create modifiers as query parameters. See the Compute Pool component definition for what is required to be provided in the request body.
POST /api/v2/compute-pools - Destructive
Create a (or alter an existing) compute pool.
Create a (or alter an existing) compute pool. Even if the operation is just an alter, the full property set must be provided.
PUT /api/v2/compute-pools/{name} - Destructive
Deletes a compute pool.
Deletes a compute pool with the given name. If you enable the ifExists parameter, the operation succeeds even if the object does not exist. Otherwise, a 404 failure is returned if the object does not exist.
DELETE /api/v2/compute-pools/{name}
Cortex analyst
- Read
Retrieve relevant table information from input data for semantic model generation
Retrieve relevant table information from input data for semantic model generation
POST /api/v2/cortex/analyst/pre-selection - Read
List all agentic optimization runs for a given base model
List all agentic optimization runs for a given base model
POST /api/v2/cortex/analyst/agentic-optimizations - Read
Get the status and state of a specified agentic optimization run
Get the status and state of a specified agentic optimization run
GET /api/v2/cortex/analyst/agentic-optimization - Write
Send Feedback
Send a user feedback of Cortex Analyst response
POST /api/v2/cortex/analyst/feedback - Write
Send a data question to the Cortex Analyst
Send a data question to the Cortex Analyst
POST /api/v2/cortex/analyst/message - Write
Generate VQ suggestions for a semantic model
Generate VQ suggestions for a semantic model
POST /api/v2/cortex/analyst/verified-query-suggestions - Write
Rapidly generate a semantic model given source material
Provides real-time suggestions for improving a given semantic model via a streaming response.
POST /api/v2/cortex/analyst/fast-generation - Write
Generate filters, facts, and metrics suggestions for a semantic model
Generate suggestions for filters, facts, and metrics on a semantic view/model.
POST /api/v2/cortex/analyst/filters-and-metrics-suggestions - Write
Internal endpoint to exchange a Cortex Analyst Oauth token
Internal endpoint to exchange a Cortex Analyst Oauth token
GET /api/v2/cortex/analyst/token
Cortex embed
- Write
Perform LLM embed
Perform LLM embedding for input text, similar to the Snowflake Cortex EMBEDTEXT functions. For more details on available functions, see: - EMBEDTEXT768 - EMBEDTEXT1024
POST /api/v2/cortex/inference:embed
Cortex generic anthropic
- Write
Perform LLM text completion inference using Cortex Messages API format.
Perform LLM text completion inference using Cortex Messages API format.
POST /api/v2/cortex/v1/messages
Cortex generic openai
- Write
Perform LLM text completion inference using Cortex Chat Completions API format.
Perform LLM text completion inference using Chat Completions API format.
POST /api/v2/cortex/v1/chat/completions
Cortex inference
- Read
Returns the LLMs available for the current session
Returns the LLMs available for the current session
GET /api/v2/cortex/models - Write
Perform LLM text completion inference.
Perform LLM text completion inference, similar to snowflake.cortex.Complete.
POST /api/v2/cortex/inference:complete
Cortex search service
- Read
List cortex search services
Lists the cortex search services under the database and schema.
GET /api/v2/databases/{database}/schemas/{schema}/cortex-search-services - Read
Fetch a cortex search service.
Fetch a Cortex Search Service.
GET /api/v2/databases/{database}/schemas/{schema}/cortex-search-services/{name} - Read
Query a Cortex Search Service.
Query a Cortex Search Service to get search results.
POST /api/v2/databases/{database}/schemas/{schema}/cortex-search-services/{service_name}:query - Write
Suggest from a Cortex Search Service
Suggest from a Cortex Search Service to get auto-complete or contextual suggestions
POST /api/v2/databases/{database}/schemas/{schema}/cortex-search-services/{service_name}:suggest - Write
Suspend a cortex search service.
Suspends one or both of the indexing or serving targets of a cortex search service.
POST /api/v2/databases/{database}/schemas/{schema}/cortex-search-services/{name}:suspend - Write
Resume the cortex search service
Resume the cortex search service
POST /api/v2/databases/{database}/schemas/{schema}/cortex-search-services/{name}:resume - Write
Send Feedback
Send user feedback for a Cortex Search result
POST /api/v2/databases/{database}/schemas/{schema}/cortex-search-services/{name}:feedback - Destructive
Create a cortex search service
Create a cortex search service, with standard create modifiers as query parameters. See the Cortex Search Service component definition for what is required to be provided in the request body.
POST /api/v2/databases/{database}/schemas/{schema}/cortex-search-services - Destructive
Delete a cortex search service
Delete a cortex search service with the given name. If ifExists is used, the operation will succeed even if the object does not exist. Otherwise, there will be a failure if the drop is unsuccessful.
DELETE /api/v2/databases/{database}/schemas/{schema}/cortex-search-services/{name}
Database role
- Read
List database roles
List database roles
GET /api/v2/databases/{database}/database-roles - Read
List all grants to the role
List all grants to the role
GET /api/v2/databases/{database}/database-roles/{name}/grants - Read
List all future grants to the role
List all future grants to the role
GET /api/v2/databases/{database}/database-roles/{name}/future-grants - Read
Get the tag assignments for a database role.
Returns all tags assigned to a database role. This operation requires an active warehouse.
GET /api/v2/databases/{database}/database-roles/{name}:get-tags - Write
Grant privileges to the role
Grant privileges to the role
POST /api/v2/databases/{database}/database-roles/{name}/grants - Write
Grant future privileges to the role
Grant future privileges to the role
POST /api/v2/databases/{database}/database-roles/{name}/future-grants - Write
Set tags on a database role.
Set tags on a database role.
POST /api/v2/databases/{database}/database-roles/{name}:set-tags - Write
Unset tags from a database role.
Unset tags from a database role.
POST /api/v2/databases/{database}/database-roles/{name}:unset-tags - Destructive
Create a database role
Create a database role
POST /api/v2/databases/{database}/database-roles - Destructive
Delete a database role
Delete a database role
DELETE /api/v2/databases/{database}/database-roles/{name} - Destructive
Create a new database role by cloning from the specified resource
Create a new database role by cloning from the specified resource
POST /api/v2/databases/{database}/database-roles/{name}:clone - Destructive
Revoke grants from the role
Revoke grants from the role
POST /api/v2/databases/{database}/database-roles/{name}/grants:revoke - Destructive
Revoke future grants from the role
Revoke future grants from the role
POST /api/v2/databases/{database}/database-roles/{name}/future-grants:revoke
Database
- Read
List databases.
Lists the accessible databases.
GET /api/v2/databases - Read
Fetch Database
Fetches a database.
GET /api/v2/databases/{name} - Read
Get the tag assignments for a database.
Returns all tags assigned to a database. This operation requires an active warehouse.
GET /api/v2/databases/{name}:get-tags - Write
Undrop a database.
Undrops database.
POST /api/v2/databases/{name}:undrop - Write
Enable database replication.
Promotes a local database to serve as a primary database for replication. A primary database can be replicated in one or more accounts, allowing users in those accounts to query objects in each secondary (i.e. replica) database.
POST /api/v2/databases/{name}/replication:enable - Write
Disable database replication.
Disables replication for this primary database, meaning no replica of this database (i.e. secondary database) in another account can be refreshed. Any secondary databases remain linked to the primary database, but requests to refresh a secondary database are denied.
POST /api/v2/databases/{name}/replication:disable - Write
Refresh database replications.
Refreshes a secondary database from a snapshot of its primary database. A snapshot includes changes to the objects and data. If you call this endpoint while another refresh for the same replica database is running, it fails and returns an error. Snowflake ensures only one refresh is executed at any given time.
POST /api/v2/databases/{name}/replication:refresh - Write
Enable database failover.
Specifies a comma-separated list of accounts in your organization where a replica of this primary database can be promoted to serve as the primary database.
POST /api/v2/databases/{name}/failover:enable - Write
Disable database failover.
Disables failover for this primary database, meaning no replica of this database (i.e. secondary database) can be promoted to serve as the primary database.
POST /api/v2/databases/{name}/failover:disable - Write
Set a primary database.
Promotes the specified secondary (replica) database to serve as the primary database. When promoted, the database becomes writeable. At the same time, the previous primary database becomes a read-only secondary database.
POST /api/v2/databases/{name}/failover:primary - Write
Set tags on a database.
Set tags on a database.
POST /api/v2/databases/{name}:set-tags - Write
Unset tags from a database.
Unset tags from a database.
POST /api/v2/databases/{name}:unset-tags - Destructive
Create a database.
Creates a database, with modifiers as query parameters. You must provide the full database definition when creating a database.
POST /api/v2/databases - Destructive
Clone a database.
Clones an existing database, with modifiers as query parameters. You must provide the full database definition when cloning an existing database.
POST /api/v2/databases/{name}:clone - Destructive
Create a new, or alters an existing, database.
Creates a new, or alters an existing, database. You must provide the full database definition even when altering an existing database.
PUT /api/v2/databases/{name} - Destructive
Delete a database.
Deletes the specified database. If you enable the ifExists parameter, the operation succeeds even if the database does not exist. Otherwise, a 404 failure is returned if the database does not exist. if the drop is unsuccessful.
DELETE /api/v2/databases/{name}
Dynamic table
- Read
List dynamic tables
Lists the dynamic tables under the database and schema.
GET /api/v2/databases/{database}/schemas/{schema}/dynamic-tables - Read
Fetch a dynamic table.
Fetch a Dynamic Table.
GET /api/v2/databases/{database}/schemas/{schema}/dynamic-tables/{name} - Read
Get the tag assignments for a dynamic table.
Returns all tags assigned to a dynamic table. This operation requires an active warehouse.
GET /api/v2/databases/{database}/schemas/{schema}/dynamic-tables/{name}:get-tags - Write
Undrop a dynamic table
Undrop specified dynamic table
POST /api/v2/databases/{database}/schemas/{schema}/dynamic-tables/{name}:undrop - Write
Suspend refreshes on the dynamic table
Suspend refreshes on the dynamic table
POST /api/v2/databases/{database}/schemas/{schema}/dynamic-tables/{name}:suspend - Write
Resume refreshes on the dynamic table
Resume refreshes on the dynamic table
POST /api/v2/databases/{database}/schemas/{schema}/dynamic-tables/{name}:resume - Write
Refresh the dynamic table
Specifies that the dynamic table should be manually refreshed
POST /api/v2/databases/{database}/schemas/{schema}/dynamic-tables/{name}:refresh - Write
Suspend recluster of a dynamic table
Suspend recluster of a dynamic table
POST /api/v2/databases/{database}/schemas/{schema}/dynamic-tables/{name}:suspend-recluster - Write
Resume recluster of a dynamic table
Resume recluster of a dynamic table
POST /api/v2/databases/{database}/schemas/{schema}/dynamic-tables/{name}:resume-recluster - Write
Set tags on a dynamic table.
Set tags on a dynamic table.
POST /api/v2/databases/{database}/schemas/{schema}/dynamic-tables/{name}:set-tags - Write
Unset tags from a dynamic table.
Unset tags from a dynamic table.
POST /api/v2/databases/{database}/schemas/{schema}/dynamic-tables/{name}:unset-tags - Destructive
Create a dynamic table
Create a dynamic table, with standard create modifiers as query parameters. See the Dynamic Table component definition for what is required to be provided in the request body.
POST /api/v2/databases/{database}/schemas/{schema}/dynamic-tables - Destructive
Delete a dynamic table
Delete a dynamic table with the given name. If ifExists is used, the operation will succeed even if the object does not exist. Otherwise, there will be a failure if the drop is unsuccessful.
DELETE /api/v2/databases/{database}/schemas/{schema}/dynamic-tables/{name} - Destructive
Clone dynamic table
Create a new dynamic table by cloning from the specified resource
POST /api/v2/databases/{database}/schemas/{schema}/dynamic-tables/{name}:clone - Destructive
Swap with another dynamic table
Swap with another dynamic table
POST /api/v2/databases/{database}/schemas/{schema}/dynamic-tables/{name}:swap-with
Event table
- Read
List event tables
List event tables
GET /api/v2/databases/{database}/schemas/{schema}/event-tables - Read
Fetch an event table
Fetch an event table
GET /api/v2/databases/{database}/schemas/{schema}/event-tables/{name} - Read
Get the tag assignments for an event table.
Returns all tags assigned to an event table. This operation requires an active warehouse.
GET /api/v2/databases/{database}/schemas/{schema}/event-tables/{name}:get-tags - Write
Rename the event table
Rename the event table
POST /api/v2/databases/{database}/schemas/{schema}/event-tables/{name}:rename - Write
Set tags on an event table.
Set tags on an event table.
POST /api/v2/databases/{database}/schemas/{schema}/event-tables/{name}:set-tags - Write
Unset tags from an event table.
Unset tags from an event table.
POST /api/v2/databases/{database}/schemas/{schema}/event-tables/{name}:unset-tags - Destructive
Create an event table
Create an event table
POST /api/v2/databases/{database}/schemas/{schema}/event-tables - Destructive
Delete an event table
Delete an event table
DELETE /api/v2/databases/{database}/schemas/{schema}/event-tables/{name}
External volume
- Read
List external volumes
List external volumes
GET /api/v2/external-volumes - Read
Fetch an external volume
Fetch an external volume
GET /api/v2/external-volumes/{name} - Write
Undrop an external volume
Undrop an external volume
POST /api/v2/external-volumes/{name}:undrop - Destructive
Create an external volume
Create an external volume
POST /api/v2/external-volumes - Destructive
Delete an external volume
Delete an external volume
DELETE /api/v2/external-volumes/{name}
Function
- Read
List service functions.
Lists service functions under the database and schema.
GET /api/v2/databases/{database}/schemas/{schema}/functions - Read
Fetch a service function.
Fetch a service function.
GET /api/v2/databases/{database}/schemas/{schema}/functions/{nameWithArgs} - Read
Get the tag assignments for a service function.
Returns all tags assigned to a service function. This operation requires an active warehouse.
GET /api/v2/databases/{database}/schemas/{schema}/functions/{nameWithArgs}:get-tags - Write
Set tags on a service function.
Set tags on a service function.
POST /api/v2/databases/{database}/schemas/{schema}/functions/{nameWithArgs}:set-tags - Write
Unset tags from a service function.
Unset tags from a service function.
POST /api/v2/databases/{database}/schemas/{schema}/functions/{nameWithArgs}:unset-tags - Destructive
Create a service function.
Create a service function.
POST /api/v2/databases/{database}/schemas/{schema}/functions - Destructive
Delete a service function.
Delete a service function with the given name and args.
DELETE /api/v2/databases/{database}/schemas/{schema}/functions/{nameWithArgs} - Destructive
Execute a service function.
Execute a service function.
POST /api/v2/databases/{database}/schemas/{schema}/functions/{name}:execute
Grant
- Read
List of privileges associated with this grantee type and name (deprecated)
List the roles and privileges granted to the specified grantee using the output of SHOW GRANTS TO
GET /api/v2/grants/{granteeType}/{granteeName} - Write
Grant the specified privilege(s) on the named securable to the named grantee. (deprecated)
Endpoint to indicate that the privileges listed in the request body should be granted.
POST /api/v2/grants/{granteeType}/{granteeName}/{securableType}/{securableName}/privileges - Write
Grant the specified privilege(s) on all/future (as specified by bulkGrantType) securables of this type in a given scope… (deprecated)
Endpoint to indicate that the privileges listed in the request body should be granted to all securables of this type in the given scope.
POST /api/v2/grants/{granteeType}/{granteeName}/{bulkGrantType}/{securableTypePlural}/{scopeType}/{scopeName}/privileges - Destructive
Revoke the specified privilege on the named securable from the named grantee. (deprecated)
Endpoint to indicate that the privilege listed in the path should be revoked.
DELETE /api/v2/grants/{granteeType}/{granteeName}/{securableType}/{securableName}/privileges/{privilege} - Destructive
Revoke the grant option for the specified privilege on the named securable from the named grantee. (deprecated)
Endpoint to indicate that the grant option for the privilege listed in the path should be revoked.
DELETE /api/v2/grants/{granteeType}/{granteeName}/{securableType}/{securableName}/privileges/{privilege}/grant-option - Destructive
Revoke the specified privilege on the specified all/future securable in the given scope from the named grantee. (deprecated)
Endpoint to indicate that the privilege listed on the group securable in the given scope should be revoked.
DELETE /api/v2/grants/{granteeType}/{granteeName}/{bulkGrantType}/{securableTypePlural}/{scopeType}/{scopeName}/privileges/{privilege} - Destructive
Revoke the grant option for the specified privilege on the specified all/future securable in the given scope from the n… (deprecated)
Endpoint to indicate that the grant option for the privilege listed on the group securable in the given scope should be revoked.
DELETE /api/v2/grants/{granteeType}/{granteeName}/{bulkGrantType}/{securableTypePlural}/{scopeType}/{scopeName}/privileges/{privilege}/grant-option
Iceberg table
- Read
List iceberg tables
Lists the Apache Iceberg™ tables for which you have access privileges.
GET /api/v2/databases/{database}/schemas/{schema}/iceberg-tables - Read
Describe iceberg table
Describe an iceberg table
GET /api/v2/databases/{database}/schemas/{schema}/iceberg-tables/{name} - Read
Get the tag assignments for an Iceberg table.
Returns all tags assigned to an Iceberg table. This operation requires an active warehouse.
GET /api/v2/databases/{database}/schemas/{schema}/iceberg-tables/{name}:get-tags - Write
Resume recluster of an iceberg table
Resume recluster of an iceberg table (iceberg tables managed by an external catalog do not allow clustering)
POST /api/v2/databases/{database}/schemas/{schema}/iceberg-tables/{name}:resume-recluster - Write
Suspend recluster of an iceberg table
Suspend recluster of an iceberg table (iceberg tables managed by an external catalog do not allow clustering)
POST /api/v2/databases/{database}/schemas/{schema}/iceberg-tables/{name}:suspend-recluster - Write
Refreshes the metadata for an Apache Iceberg table that uses an external Iceberg catalog
Refreshes the metadata for an Apache Iceberg table that uses an external Iceberg catalog
POST /api/v2/databases/{database}/schemas/{schema}/iceberg-tables/{name}:refresh - Write
Converts an Apache Iceberg™ table that uses an external Iceberg catalog into a table that uses Snowflake as the catalog
Convert unmanaged iceberg table to managed iceberg table
POST /api/v2/databases/{database}/schemas/{schema}/iceberg-tables/{name}:convert-to-managed - Write
Undrop iceberg table
Undrop an iceberg table
POST /api/v2/databases/{database}/schemas/{schema}/iceberg-tables/{name}:undrop - Write
Set tags on an Iceberg table.
Set tags on an Iceberg table.
POST /api/v2/databases/{database}/schemas/{schema}/iceberg-tables/{name}:set-tags - Write
Unset tags from an Iceberg table.
Unset tags from an Iceberg table.
POST /api/v2/databases/{database}/schemas/{schema}/iceberg-tables/{name}:unset-tags - Destructive
Create a snowflake managed iceberg table (clone and undrop are separate subresources)
Create a snowflake managed iceberg table (clone and undrop are separate subresources)
POST /api/v2/databases/{database}/schemas/{schema}/iceberg-tables - Destructive
Create a snowflake managed iceberg table as select
Create a snowflake managed iceberg table as select
POST /api/v2/databases/{database}/schemas/{schema}/iceberg-tables:as-select - Destructive
Create an unmanaged iceberg table from AWS Glue catalog
Create an unmanaged iceberg table from AWS Glue catalog
POST /api/v2/databases/{database}/schemas/{schema}/iceberg-tables:from-aws-glue-catalog - Destructive
Create an unmanaged iceberg table from Delta
Create an unmanaged iceberg table from Delta
POST /api/v2/databases/{database}/schemas/{schema}/iceberg-tables:from-delta - Destructive
Create an unmanaged iceberg table from Iceberg files
Create an unmanaged iceberg table from Iceberg files
POST /api/v2/databases/{database}/schemas/{schema}/iceberg-tables:from-iceberg-files - Destructive
Create an unmanaged iceberg table from Iceberg REST
Create an unmanaged iceberg table from Iceberg REST
POST /api/v2/databases/{database}/schemas/{schema}/iceberg-tables:from-iceberg-rest - Destructive
Drop iceberg table
Drop an iceberg table
DELETE /api/v2/databases/{database}/schemas/{schema}/iceberg-tables/{name} - Destructive
Clone a snowflake managed iceberg table
Clone a snowflake managed iceberg table
POST /api/v2/databases/{database}/schemas/{schema}/iceberg-tables/{name}:clone - Destructive
Create iceberg table like
Creates a new table with the same column definitions as an existing table, but without copying data from the existing table.
POST /api/v2/databases/{database}/schemas/{schema}/iceberg-tables/{name}:create-like
Image repository
- Read
Lists image repositories.
Lists the image repositories under a specified database and schema.
GET /api/v2/databases/{database}/schemas/{schema}/image-repositories - Read
Fetches an image repository.
Fetches a named image repository in a specified database and schema.
GET /api/v2/databases/{database}/schemas/{schema}/image-repositories/{name} - Read
List images in the image repository.
List images in the given image repository.
GET /api/v2/databases/{database}/schemas/{schema}/image-repositories/{name}/images - Read
Get the tag assignments for an image repository.
Returns all tags assigned to an image repository. This operation requires an active warehouse.
GET /api/v2/databases/{database}/schemas/{schema}/image-repositories/{name}:get-tags - Write
Set tags on an image repository.
Set tags on an image repository.
POST /api/v2/databases/{database}/schemas/{schema}/image-repositories/{name}:set-tags - Write
Unset tags from an image repository.
Unset tags from an image repository.
POST /api/v2/databases/{database}/schemas/{schema}/image-repositories/{name}:unset-tags - Destructive
Creates an image repository in the specified database and schema.
Creates an image repository in the specified database, schema, and create mode. The createMode query parameter specifies what action to take based on whether the repository already exists. See the ImageRepository component definition for what is required to be provided in the request body.
POST /api/v2/databases/{database}/schemas/{schema}/image-repositories - Destructive
Deletes an image repository.
Deletes an image repository with the given name. If you enable the ifExists query parameter, the operation succeeds even if the object does not exist. Otherwise, a 404 failure is returned if the object does not exist.
DELETE /api/v2/databases/{database}/schemas/{schema}/image-repositories/{name}
Managed account
- Read
List managed accounts.
Lists the accessible managed accounts.
GET /api/v2/managed-accounts - Write
Create a managed accounts.
Creates a managed account. You must provide the full managed account definition when creating a managed account.
POST /api/v2/managed-accounts - Destructive
Delete a managed account.
Removes a managed account, including all objects created in the account, and immediately restricts access to the account. Currently used by data providers to create reader accounts for their consumers. For more details, see Manage reader accounts.
DELETE /api/v2/managed-accounts/{name}
Network policy
- Read
List network policies
List network policies
GET /api/v2/network-policies - Read
Fetch a network policy
Fetch a network policy
GET /api/v2/network-policies/{name} - Read
Get the tag assignments for a network policy.
Returns all tags assigned to a network policy. This operation requires an active warehouse.
GET /api/v2/network-policies/{name}:get-tags - Write
Set tags on a network policy.
Set tags on a network policy.
POST /api/v2/network-policies/{name}:set-tags - Write
Unset tags from a network policy.
Unset tags from a network policy.
POST /api/v2/network-policies/{name}:unset-tags - Destructive
Create a network policy
Create a network policy
POST /api/v2/network-policies - Destructive
Delete a network policy
Delete a network policy
DELETE /api/v2/network-policies/{name}
Network rule
- Read
List network rules
List network rules
GET /api/v2/databases/{database}/schemas/{schema}/network-rules - Read
Fetch a network rule
Fetch a network rule
GET /api/v2/databases/{database}/schemas/{schema}/network-rules/{name} - Destructive
Create a network rule
Create a network rule
POST /api/v2/databases/{database}/schemas/{schema}/network-rules - Destructive
Delete a network rule
Delete a network rule
DELETE /api/v2/databases/{database}/schemas/{schema}/network-rules/{name}
Notebook
- Read
List notebooks
List notebooks
GET /api/v2/databases/{database}/schemas/{schema}/notebooks - Read
Fetch a notebook
Fetch a notebook
GET /api/v2/databases/{database}/schemas/{schema}/notebooks/{name} - Read
Get the tag assignments for a notebook.
Returns all tags assigned to a notebook. This operation requires an active warehouse.
GET /api/v2/databases/{database}/schemas/{schema}/notebooks/{name}:get-tags - Write
Execute a Notebook
Execute a Notebook
POST /api/v2/databases/{database}/schemas/{schema}/notebooks/{name}:execute - Write
Changes the name of the notebook to new name.
Changes the name of the notebook to new name. The new identifier must be unique for the schema.
POST /api/v2/databases/{database}/schemas/{schema}/notebooks/{name}:rename - Write
Adds a LIVE version to the notebook
Adds a LIVE version to the notebook
POST /api/v2/databases/{database}/schemas/{schema}/notebooks/{name}:add-live-version - Write
Commits the LIVE version of the notebook
If a Git connection is set up for the notebook, commits the LIVE version of the notebook to the Git repository
POST /api/v2/databases/{database}/schemas/{schema}/notebooks/{name}:commit - Write
Set tags on a notebook.
Set tags on a notebook.
POST /api/v2/databases/{database}/schemas/{schema}/notebooks/{name}:set-tags - Write
Unset tags from a notebook.
Unset tags from a notebook.
POST /api/v2/databases/{database}/schemas/{schema}/notebooks/{name}:unset-tags - Destructive
Create a notebook
Create a notebook
POST /api/v2/databases/{database}/schemas/{schema}/notebooks - Destructive
Delete a notebook
Delete a notebook
DELETE /api/v2/databases/{database}/schemas/{schema}/notebooks/{name}
Notification integration
- Read
List notification integrations
List notification integrations
GET /api/v2/notification-integrations - Read
Fetch a notification integration
Fetch a notification integration
GET /api/v2/notification-integrations/{name} - Read
Get the tag assignments for a notification integration.
Returns all tags assigned to a notification integration. This operation requires an active warehouse.
GET /api/v2/notification-integrations/{name}:get-tags - Write
Set tags on a notification integration.
Set tags on a notification integration.
POST /api/v2/notification-integrations/{name}:set-tags - Write
Unset tags from a notification integration.
Unset tags from a notification integration.
POST /api/v2/notification-integrations/{name}:unset-tags - Destructive
Create a notification integration
Create a notification integration
POST /api/v2/notification-integrations - Destructive
Delete a notification integration
Delete a notification integration
DELETE /api/v2/notification-integrations/{name}
Password policy
- Read
List password policies
List password policies
GET /api/v2/databases/{database}/schemas/{schema}/password-policies - Read
Fetch a password policy
Fetch a password policy
GET /api/v2/databases/{database}/schemas/{schema}/password-policies/{name} - Read
Get the tag assignments for a password policy.
Returns all tags assigned to a password policy. This operation requires an active warehouse.
GET /api/v2/databases/{database}/schemas/{schema}/password-policies/{name}:get-tags - Write
Rename a password policy with a new identifier
Rename a password policy with a new identifier
POST /api/v2/databases/{database}/schemas/{schema}/password-policies/{name}:rename - Write
Set tags on a password policy.
Set tags on a password policy.
POST /api/v2/databases/{database}/schemas/{schema}/password-policies/{name}:set-tags - Write
Unset tags from a password policy.
Unset tags from a password policy.
POST /api/v2/databases/{database}/schemas/{schema}/password-policies/{name}:unset-tags - Destructive
Create a password policy
Create a password policy
POST /api/v2/databases/{database}/schemas/{schema}/password-policies - Destructive
Delete a password policy
Delete a password policy
DELETE /api/v2/databases/{database}/schemas/{schema}/password-policies/{name}
Pipe
- Read
List pipes
List pipes
GET /api/v2/databases/{database}/schemas/{schema}/pipes - Read
Fetch a pipe
Fetch a pipe
GET /api/v2/databases/{database}/schemas/{schema}/pipes/{name} - Read
Get the tag assignments for a pipe.
Returns all tags assigned to a pipe. This operation requires an active warehouse.
GET /api/v2/databases/{database}/schemas/{schema}/pipes/{name}:get-tags - Write
Refresh the pipe
Refresh the pipe
POST /api/v2/databases/{database}/schemas/{schema}/pipes/{name}:refresh - Write
Set tags on a pipe.
Set tags on a pipe.
POST /api/v2/databases/{database}/schemas/{schema}/pipes/{name}:set-tags - Write
Unset tags from a pipe.
Unset tags from a pipe.
POST /api/v2/databases/{database}/schemas/{schema}/pipes/{name}:unset-tags - Destructive
Create a pipe
Create a pipe
POST /api/v2/databases/{database}/schemas/{schema}/pipes - Destructive
Delete a pipe
Delete a pipe
DELETE /api/v2/databases/{database}/schemas/{schema}/pipes/{name}
Procedure
- Read
List procedures
List procedures
GET /api/v2/databases/{database}/schemas/{schema}/procedures - Read
Fetch a procedure
Fetch a procedure
GET /api/v2/databases/{database}/schemas/{schema}/procedures/{nameWithArgs} - Read
Get the tag assignments for a procedure.
Returns all tags assigned to a procedure. This operation requires an active warehouse.
GET /api/v2/databases/{database}/schemas/{schema}/procedures/{nameWithArgs}:get-tags - Write
Set tags on a procedure.
Set tags on a procedure.
POST /api/v2/databases/{database}/schemas/{schema}/procedures/{nameWithArgs}:set-tags - Write
Unset tags from a procedure.
Unset tags from a procedure.
POST /api/v2/databases/{database}/schemas/{schema}/procedures/{nameWithArgs}:unset-tags - Destructive
Create a procedure
Create a procedure
POST /api/v2/databases/{database}/schemas/{schema}/procedures - Destructive
Delete a procedure
Delete a procedure
DELETE /api/v2/databases/{database}/schemas/{schema}/procedures/{nameWithArgs} - Destructive
Call a procedure
Call a procedure
POST /api/v2/databases/{database}/schemas/{schema}/procedures/{nameWithArgs}:call
Result
- Read
Check result status or fetch request
Get result status or the result when it is ready.
GET /api/v2/results/{result_handler}
Role
- Read
List roles
List roles
GET /api/v2/roles - Read
List all grants to the role
List all grants to the role
GET /api/v2/roles/{name}/grants - Read
List all grants of the role
List all grants of the role
GET /api/v2/roles/{name}/grants-of - Read
List all grants on the role
List all grants on the role
GET /api/v2/roles/{name}/grants-on - Read
List all future grants to the role
List all future grants to the role
GET /api/v2/roles/{name}/future-grants - Read
Get the tag assignments for a role.
Returns all tags assigned to a role. This operation requires an active warehouse.
GET /api/v2/roles/{name}:get-tags - Write
Grant privileges to the role
Grant privileges to the role
POST /api/v2/roles/{name}/grants - Write
Grant future privileges to the role
Grant future privileges to the role
POST /api/v2/roles/{name}/future-grants - Write
Set tags on a role.
Set tags on a role.
POST /api/v2/roles/{name}:set-tags - Write
Unset tags from a role.
Unset tags from a role.
POST /api/v2/roles/{name}:unset-tags - Destructive
Create a role
Create a role
POST /api/v2/roles - Destructive
Delete a role
Delete a role
DELETE /api/v2/roles/{name} - Destructive
Revoke grants from the role
Revoke grants from the role
POST /api/v2/roles/{name}/grants:revoke - Destructive
Revoke future grants from the role
Revoke future grants from the role
POST /api/v2/roles/{name}/future-grants:revoke
Schema
- Read
List schemas.
Lists the accessible schemas.
GET /api/v2/databases/{database}/schemas - Read
Fetch Schema
Fetches a schema.
GET /api/v2/databases/{database}/schemas/{name} - Read
Get the tag assignments for a schema.
Returns all tags assigned to a schema. This operation requires an active warehouse.
GET /api/v2/databases/{database}/schemas/{name}:get-tags - Write
Undrop a schema.
Undrops schema.
POST /api/v2/databases/{database}/schemas/{name}:undrop - Write
Set tags on a schema.
Set tags on a schema.
POST /api/v2/databases/{database}/schemas/{name}:set-tags - Write
Unset tags from a schema.
Unset tags from a schema.
POST /api/v2/databases/{database}/schemas/{name}:unset-tags - Destructive
Create a schema.
Creates a schema, with modifiers as query parameters. You must provide the full schema definition when creating a schema.
POST /api/v2/databases/{database}/schemas - Destructive
Clone a schema.
Clones an existing schema, with modifiers as query parameters. You must provide the full schema definition when cloning an existing schema.
POST /api/v2/databases/{database}/schemas/{name}:clone - Destructive
Create a new, or alters an existing, schema.
Creates a new, or alters an existing, schema. You must provide the full schema definition even when altering an existing schema.
PUT /api/v2/databases/{database}/schemas/{name} - Destructive
Delete a schema.
Deletes the specified schema. If you enable the ifExists parameter, the operation succeeds even if the schema does not exist. Otherwise, a 404 failure is returned if the schema does not exist. if the drop is unsuccessful.
DELETE /api/v2/databases/{database}/schemas/{name}
Secret
- Read
List secrets
List secrets
GET /api/v2/databases/{database}/schemas/{schema}/secrets - Read
Fetch a secret
Fetch a secret
GET /api/v2/databases/{database}/schemas/{schema}/secrets/{name} - Destructive
Create a secret
Create a secret
POST /api/v2/databases/{database}/schemas/{schema}/secrets - Destructive
Delete a secret
Delete a secret
DELETE /api/v2/databases/{database}/schemas/{schema}/secrets/{name}
Sequence
- Read
List sequences
List sequences
GET /api/v2/databases/{database}/schemas/{schema}/sequences - Read
Fetch a sequence
Fetch a sequence
GET /api/v2/databases/{database}/schemas/{schema}/sequences/{name} - Write
Rename a sequence with a new identifier
Rename a sequence with a new identifier
POST /api/v2/databases/{database}/schemas/{schema}/sequences/{name}:rename - Destructive
Create a sequence
Create a sequence
POST /api/v2/databases/{database}/schemas/{schema}/sequences - Destructive
Delete a sequence
Delete a sequence
DELETE /api/v2/databases/{database}/schemas/{schema}/sequences/{name} - Destructive
Create a new sequence by cloning from the specified resource
Create a new sequence by cloning from the specified resource
POST /api/v2/databases/{database}/schemas/{schema}/sequences/{name}:clone
Service
- Read
List services
Lists the services under the database and schema.
GET /api/v2/databases/{database}/schemas/{schema}/services - Read
Fetch Service
Fetch a service.
GET /api/v2/databases/{database}/schemas/{schema}/services/{name} - Read
Fetch Service Logs
Fetch the logs for a given service.
GET /api/v2/databases/{database}/schemas/{schema}/services/{name}/logs - Read
Fetch Service Status (deprecated)
Fetch the status for a given service. Deprecated - use listServiceContainers instead.
GET /api/v2/databases/{database}/schemas/{schema}/services/{name}/status - Read
List Service Containers
List all the containers of the service
GET /api/v2/databases/{database}/schemas/{schema}/services/{name}/containers - Read
List Service Instances
List all the instances of the service
GET /api/v2/databases/{database}/schemas/{schema}/services/{name}/instances - Read
List Service Roles
List all the service roles of the service
GET /api/v2/databases/{database}/schemas/{schema}/services/{name}/roles - Read
List Service Role Grants Of
List all the grants of the service role
GET /api/v2/databases/{database}/schemas/{schema}/services/{service}/roles/{name}/grants-of - Read
List Service Role Grants To
List all the grants given to the service role
GET /api/v2/databases/{database}/schemas/{schema}/services/{service}/roles/{name}/grants - Read
List the endpoints in a service.
Lists the endpoints in a Snowpark Container Services service (or a job service).
GET /api/v2/databases/{database}/schemas/{schema}/services/{name}/endpoints - Write
Execute a job service
Create and execute a job service. See the JobService component definition for what is required to be provided in the request body.
POST /api/v2/databases/{database}/schemas/{schema}/services:execute-job - Write
Resume Service
Resume a service.
POST /api/v2/databases/{database}/schemas/{schema}/services/{name}:resume - Write
Suspend Service
Suspend a service.
POST /api/v2/databases/{database}/schemas/{schema}/services/{name}:suspend - Destructive
Create a service
Create a service, with standard create modifiers as query parameters. See the Service component definition for what is required to be provided in the request body.
POST /api/v2/databases/{database}/schemas/{schema}/services - Destructive
Create a (or alter an existing) service.
Create a (or alter an existing) service. Even if the operation is just an alter, the full property set must be provided.
PUT /api/v2/databases/{database}/schemas/{schema}/services/{name} - Destructive
Delete a service
Delete a service with the given name. If ifExists is used, the operation will succeed even if the object does not exist. Otherwise, there will be a failure if the drop is unsuccessful.
DELETE /api/v2/databases/{database}/schemas/{schema}/services/{name}
Spark connect
- Read
Check statuses of artifacts in the session and returns them in a [[ArtifactStatusesResponse]]
Check statuses of artifacts in the session and returns them in a [[ArtifactStatusesResponse]]
POST /api/v2/spark-connect/artifact-status - Write
Analyzes a query and return a [[AnalyzeResponse]] containing metadata about the query.
Analyzes a query and return a [[AnalyzeResponse]] containing metadata about the query.
POST /api/v2/spark-connect/analyze-plan - Write
Update or fetch the configurations and returns a [[ConfigResponse]] containing the result.
Update or fetch the configurations and returns a [[ConfigResponse]] containing the result.
POST /api/v2/spark-connect/config - Write
Add artifacts to the session and returns a [[AddArtifactsResponse]] containing metadata about the added artifacts.
Add artifacts to the session and returns a [[AddArtifactsResponse]] containing metadata about the added artifacts.
POST /api/v2/spark-connect/add-artifacts - Write
The ExecutePlan must have been started with ReattachOptions.reattachable=true.
Reattach to an existing re-attachable execution.
POST /api/v2/spark-connect/reattach-execute - Write
It is used for sproc dataframe processor to pull Spark request from GS.
Get the next Spark request.
POST /api/v2/spark-connect/pull-request - Write
It is used for sproc dataframe processor to push Spark response to GS.
Executes a request from sproc that contains the Spark response.
POST /api/v2/spark-connect/push-response - Destructive
It is guaranteed that there is at least one ARROW batch returned even if the result set is empty.
Executes a request that contains the query and returns a stream of [[ExecutePlanResponse]].
POST /api/v2/spark-connect/execute-plan - Destructive
Interrupts running executions
Interrupts running executions
POST /api/v2/spark-connect/interrupt - Destructive
The ExecutePlan must have been started with ReattachOptions.reattachable=true.
Release an re-attachable execution, or parts thereof.
POST /api/v2/spark-connect/release-execute
Statements
- Read
Checks the status of the execution of a statement
Checks the status of the execution of the statement with the specified statement handle. If the statement was executed successfully, the operation returns the requested partition of the result set.
GET /api/v2/statements/{statementHandle} - Destructive
Submits a SQL statement for execution.
Submits one or more statements for execution. You can specify that the statement should be executed asynchronously.
POST /api/v2/statements - Destructive
Cancels the execution of a statement.
Cancels the execution of the statement with the specified statement handle.
POST /api/v2/statements/{statementHandle}/cancel
Stage
- Read
List stages
Lists stages under the database and schema, with show options as query parameters.
GET /api/v2/databases/{database}/schemas/{schema}/stages - Read
Fetch a stage
Fetch a stage using the describe command output.
GET /api/v2/databases/{database}/schemas/{schema}/stages/{name} - Read
List files in the stage.
List files in the stage -- this is equivalent to LIST @stage.
GET /api/v2/databases/{database}/schemas/{schema}/stages/{name}/files - Write
Generate a presigned url and optionally encryption materials.
Generate a presigned url and optionally encryption materials for uploading and downloading files.
POST /api/v2/databases/{database}/schemas/{schema}/stages/{name}/files/{filePath}:presigned-url - Destructive
Create a stage
Create a stage, with standard create modifiers as query parameters. See the Stage component definition for what is required to be provided in the request body.
POST /api/v2/databases/{database}/schemas/{schema}/stages - Destructive
Delete a stage
Delete a stage with the stage name. If ifExists is used, the operation will succeed even if the object does not exist. Otherwise, there will be a failure if the drop is unsuccessful.
DELETE /api/v2/databases/{database}/schemas/{schema}/stages/{name}
Stream
- Read
List streams
List streams
GET /api/v2/databases/{database}/schemas/{schema}/streams - Read
Fetch a stream
Fetch a stream
GET /api/v2/databases/{database}/schemas/{schema}/streams/{name} - Read
Get the tag assignments for a stream.
Returns all tags assigned to a stream. This operation requires an active warehouse.
GET /api/v2/databases/{database}/schemas/{schema}/streams/{name}:get-tags - Write
Set tags on a stream.
Set tags on a stream.
POST /api/v2/databases/{database}/schemas/{schema}/streams/{name}:set-tags - Write
Unset tags from a stream.
Unset tags from a stream.
POST /api/v2/databases/{database}/schemas/{schema}/streams/{name}:unset-tags - Destructive
Create a stream
Create a stream
POST /api/v2/databases/{database}/schemas/{schema}/streams - Destructive
Delete a stream
Delete a stream
DELETE /api/v2/databases/{database}/schemas/{schema}/streams/{name} - Destructive
Clone a stream
Clone a stream
POST /api/v2/databases/{database}/schemas/{schema}/streams/{name}:clone
Streamlit
- Read
List Streamlits
List Streamlits in a schema. Supports filtering with pattern matching.
GET /api/v2/databases/{database}/schemas/{schema}/streamlits - Read
Fetch a Streamlit
Fetch detailed information about a specific Streamlit by name, including metadata, configuration, and version details.
GET /api/v2/databases/{database}/schemas/{schema}/streamlits/{name} - Read
Get the tag assignments for a Streamlit.
Returns all tags assigned to a Streamlit. This operation requires an active warehouse.
GET /api/v2/databases/{database}/schemas/{schema}/streamlits/{name}:get-tags - Write
Undrop a Streamlit
Restore a previously deleted Streamlit within the retention period.
POST /api/v2/databases/{database}/schemas/{schema}/streamlits/{name}:undrop - Write
Rename a Streamlit
Rename a Streamlit to a new name, optionally in a different database or schema.
POST /api/v2/databases/{database}/schemas/{schema}/streamlits/{name}:rename - Write
Add live version
Add a live version to the Streamlit, making a specific version active for users.
POST /api/v2/databases/{database}/schemas/{schema}/streamlits/{name}:add-live-version - Write
Commit live version
If a Git connection is set up, commit the LIVE version of the Streamlit to the Git repository.
POST /api/v2/databases/{database}/schemas/{schema}/streamlits/{name}:commit - Write
Add version from source
Add a new version to the Streamlit by copying files from a specified stage location.
POST /api/v2/databases/{database}/schemas/{schema}/streamlits/{name}:add-version - Write
Add version from Git
Add a new version to the Streamlit using a Git reference URI. The URI can point to either a tag or a commit.
POST /api/v2/databases/{database}/schemas/{schema}/streamlits/{name}:add-version-from-git - Write
Abort live version
Abort the live version of the Streamlit, discarding uncommitted changes if a Git connection is configured.
POST /api/v2/databases/{database}/schemas/{schema}/streamlits/{name}:abort - Write
Pull from Git
Pull the latest changes from the Git repository for a Streamlit with Git integration.
POST /api/v2/databases/{database}/schemas/{schema}/streamlits/{name}:pull - Write
Push to Git
Push committed changes from the Streamlit back to its connected Git repository.
POST /api/v2/databases/{database}/schemas/{schema}/streamlits/{name}:push - Write
Set tags on a Streamlit.
Set tags on a Streamlit.
POST /api/v2/databases/{database}/schemas/{schema}/streamlits/{name}:set-tags - Write
Unset tags from a Streamlit.
Unset tags from a Streamlit.
POST /api/v2/databases/{database}/schemas/{schema}/streamlits/{name}:unset-tags - Destructive
Create a Streamlit
Create a new Streamlit application, or replace an existing one. Supports CREATE, CREATE OR REPLACE, and CREATE IF NOT EXISTS modes.
POST /api/v2/databases/{database}/schemas/{schema}/streamlits - Destructive
Delete a Streamlit
Delete a Streamlit. The Streamlit can be restored using undrop within the retention period.
DELETE /api/v2/databases/{database}/schemas/{schema}/streamlits/{name}
Table
- Read
List tables
Lists the tables under the database and schema.
GET /api/v2/databases/{database}/schemas/{schema}/tables - Read
Fetch a table.
Fetch a Table using the describe command output.
GET /api/v2/databases/{database}/schemas/{schema}/tables/{name} - Read
Get the tag assignments for a table.
Returns all tags assigned to a table. This operation requires an active warehouse.
GET /api/v2/databases/{database}/schemas/{schema}/tables/{name}:get-tags - Write
Undrop a table
Undrop specified table
POST /api/v2/databases/{database}/schemas/{schema}/tables/{name}:undrop - Write
Suspend recluster of a table (deprecated)
Suspend recluster of a table
POST /api/v2/databases/{database}/schemas/{schema}/tables/{name}:suspend_recluster - Write
Suspend recluster of a table
Suspend recluster of a table
POST /api/v2/databases/{database}/schemas/{schema}/tables/{name}:suspend-recluster - Write
Resume recluster of a table (deprecated)
Resume recluster of a table
POST /api/v2/databases/{database}/schemas/{schema}/tables/{name}:resume_recluster - Write
Resume recluster of a table
Resume recluster of a table
POST /api/v2/databases/{database}/schemas/{schema}/tables/{name}:resume-recluster - Write
Set tags on a table.
Set tags on a table.
POST /api/v2/databases/{database}/schemas/{schema}/tables/{name}:set-tags - Write
Unset tags from a table.
Unset tags from a table.
POST /api/v2/databases/{database}/schemas/{schema}/tables/{name}:unset-tags - Destructive
Create a table (clone and undrop are separate subresources)
Create a table.
POST /api/v2/databases/{database}/schemas/{schema}/tables - Destructive
Create a table using the result of the specified select query (deprecated)
Create a table as select.
POST /api/v2/databases/{database}/schemas/{schema}/tables/{name}:as_select - Destructive
Create a table using the result of the specified select query
Create a table as select.
POST /api/v2/databases/{database}/schemas/{schema}/tables:as-select - Destructive
Create a table using the templates specified in staged files (deprecated)
Create a table using template.
POST /api/v2/databases/{database}/schemas/{schema}/tables/{name}:using_template - Destructive
Create a table using the templates specified in staged files
Create a table using template.
POST /api/v2/databases/{database}/schemas/{schema}/tables:using-template - Destructive
Create a (or alter an existing) table.
Create a (or alter an existing) table. Even if the operation is just an alter, the full property set must be provided.
PUT /api/v2/databases/{database}/schemas/{schema}/tables/{name} - Destructive
Delete a table
Delete a table with the given name.
DELETE /api/v2/databases/{database}/schemas/{schema}/tables/{name} - Destructive
Clone table
Create a new table by cloning from the specified resource
POST /api/v2/databases/{database}/schemas/{schema}/tables/{name}:clone - Destructive
Create a table like this existing one (deprecated)
Create a new table like the specified resource, but empty
POST /api/v2/databases/{database}/schemas/{schema}/tables/{name}:create_like - Destructive
Create a table like this existing one
Create a new table like the specified resource, but empty
POST /api/v2/databases/{database}/schemas/{schema}/tables/{name}:create-like - Destructive
Swap with another table (deprecated)
Swap with another table
POST /api/v2/databases/{database}/schemas/{schema}/tables/{name}:swapwith - Destructive
Swap with another table
Swap with another table
POST /api/v2/databases/{database}/schemas/{schema}/tables/{name}:swap-with
Tag
- Read
List tags
List tags
GET /api/v2/databases/{database}/schemas/{schema}/tags - Read
Fetch a tag
Fetch a tag
GET /api/v2/databases/{database}/schemas/{schema}/tags/{name} - Write
Undrop a tag
Undrop a tag
POST /api/v2/databases/{database}/schemas/{schema}/tags/{name}:undrop - Write
Rename a tag with a new identifier
Rename a tag with a new identifier
POST /api/v2/databases/{database}/schemas/{schema}/tags/{name}:rename - Destructive
Create a tag
Create a tag
POST /api/v2/databases/{database}/schemas/{schema}/tags - Destructive
Create or update a tag
Create or update a tag
PUT /api/v2/databases/{database}/schemas/{schema}/tags/{name} - Destructive
Delete a tag
Delete a tag
DELETE /api/v2/databases/{database}/schemas/{schema}/tags/{name}
Task
- Read
List tasks
Lists tasks under the database and schema, with show options as query parameters.
GET /api/v2/databases/{database}/schemas/{schema}/tasks - Read
Fetch a task
Fetch a task using the describe command output.
GET /api/v2/databases/{database}/schemas/{schema}/tasks/{name} - Read
Fetch the dependent tasks of a task
Returns a list of the dependent tasks of the task with identifier {name}. This operation requires an active warehouse.
GET /api/v2/databases/{database}/schemas/{schema}/tasks/{name}/dependents - Read
Get the graph runs that are executing or scheduled for the task for the next 8 days. (deprecated)
This function returns details for graph runs that are currently executing or are next scheduled to run within the next 8 days.
GET /api/v2/databases/{database}/schemas/{schema}/tasks/{name}/current_graphs - Read
Get the graph runs that are executing or scheduled for the task for the next 8 days.
Returns details for graph runs that are currently executing or are next scheduled to run within the next 8 days. This operation requires an active warehouse.
GET /api/v2/databases/{database}/schemas/{schema}/tasks/{name}/current-graphs - Read
Get the graph runs that are completed for the task. (deprecated)
This function returns details for graph runs that are completed.
GET /api/v2/databases/{database}/schemas/{schema}/tasks/{name}/complete_graphs - Read
Get the graph runs that are completed for the task.
Returns details for graph runs that are completed. This operation requires an active warehouse.
GET /api/v2/databases/{database}/schemas/{schema}/tasks/{name}/complete-graphs - Read
Get the tag assignments for the task.
Returns all tags assigned to the task. This operation requires an active warehouse.
GET /api/v2/databases/{database}/schemas/{schema}/tasks/{name}:get-tags - Write
Execute a task object.
Execute a task -- this is equivalent to EXECUTE IMMEDIATE.
POST /api/v2/databases/{database}/schemas/{schema}/tasks/{name}:execute - Write
Resume a suspended task.
Resumes a suspended task object. This is equivalent to an ALTER TASK ... RESUME.
POST /api/v2/databases/{database}/schemas/{schema}/tasks/{name}:resume - Write
Suspend a running task.
Suspends a running task. This is equivalent to an ALTER TASK ... SUSPEND.
POST /api/v2/databases/{database}/schemas/{schema}/tasks/{name}:suspend - Write
Set tags on an existing task.
Sets tags on an existing task.
POST /api/v2/databases/{database}/schemas/{schema}/tasks/{name}:set-tags - Write
Unset tags from an existing task.
Unsets tags from an existing task.
POST /api/v2/databases/{database}/schemas/{schema}/tasks/{name}:unset-tags - Destructive
Create a task
Create a task, with standard create modifiers as query parameters. See the Task component definition for what is required to be provided in the request body.
POST /api/v2/databases/{database}/schemas/{schema}/tasks - Destructive
Create a (or alter an existing) task
Create a (or alter an existing) task. Even if the operation is just an alter, the full property set must be provided.
PUT /api/v2/databases/{database}/schemas/{schema}/tasks/{name} - Destructive
Delete a task
Delete a task with the task name. If ifExists is used, the operation will succeed even if the object does not exist. Otherwise, there will be a failure if the drop is unsuccessful.
DELETE /api/v2/databases/{database}/schemas/{schema}/tasks/{name}
User defined function
- Read
List UDFs
List UDFs
GET /api/v2/databases/{database}/schemas/{schema}/user-defined-functions - Read
Fetch a UDF
Fetch a UDF
GET /api/v2/databases/{database}/schemas/{schema}/user-defined-functions/{nameWithArgs} - Read
Get the tag assignments for a user-defined function.
Returns all tags assigned to a user-defined function. This operation requires an active warehouse.
GET /api/v2/databases/{database}/schemas/{schema}/user-defined-functions/{nameWithArgs}:get-tags - Write
Execute a UDF.
Execute a UDF.
POST /api/v2/databases/{database}/schemas/{schema}/user-defined-functions/{name}:execute - Write
Rename a UDF
Rename a UDF
POST /api/v2/databases/{database}/schemas/{schema}/user-defined-functions/{nameWithArgs}:rename - Write
Set tags on a user-defined function.
Set tags on a user-defined function.
POST /api/v2/databases/{database}/schemas/{schema}/user-defined-functions/{nameWithArgs}:set-tags - Write
Unset tags from a user-defined function.
Unset tags from a user-defined function.
POST /api/v2/databases/{database}/schemas/{schema}/user-defined-functions/{nameWithArgs}:unset-tags - Destructive
Create a UDF
Create a UDF
POST /api/v2/databases/{database}/schemas/{schema}/user-defined-functions - Destructive
Delete a UDF
Delete a UDF
DELETE /api/v2/databases/{database}/schemas/{schema}/user-defined-functions/{nameWithArgs}
User
- Read
List users in the system.
Lists the users in the system.
GET /api/v2/users - Read
Fetch information about a user
Fetch user information using the result of the DESCRIBE command
GET /api/v2/users/{name} - Read
List all grants to the user
List all grants to the user
GET /api/v2/users/{name}/grants - Read
Get the tag assignments for a user.
Returns all tags assigned to a user. This operation requires an active warehouse.
GET /api/v2/users/{name}:get-tags - Write
Grant a role to the user
Grant a role to the user
POST /api/v2/users/{name}/grants - Write
Set tags on a user.
Set tags on a user.
POST /api/v2/users/{name}:set-tags - Write
Unset tags from a user.
Unset tags from a user.
POST /api/v2/users/{name}:unset-tags - Destructive
Create a user
Create a user according to the parameters given
POST /api/v2/users - Destructive
Create a (or alter an existing) user.
Create a (or alter an existing) user. Even if the operation is just an alter, the full property set must be provided. Note that password is not currently altered by this operation but is supported for a newly-created object.
PUT /api/v2/users/{name} - Destructive
Delete a user
Delete a user with the given name.
DELETE /api/v2/users/{name} - Destructive
Revoke grants from the user
Revoke grants from the user
POST /api/v2/users/{name}/grants:revoke
View
- Read
List views
List views
GET /api/v2/databases/{database}/schemas/{schema}/views - Read
Fetch a view
Fetch a view
GET /api/v2/databases/{database}/schemas/{schema}/views/{name} - Read
Get the tag assignments for a view.
Returns all tags assigned to a view. This operation requires an active warehouse.
GET /api/v2/databases/{database}/schemas/{schema}/views/{name}:get-tags - Write
Set tags on a view.
Set tags on a view.
POST /api/v2/databases/{database}/schemas/{schema}/views/{name}:set-tags - Write
Unset tags from a view.
Unset tags from a view.
POST /api/v2/databases/{database}/schemas/{schema}/views/{name}:unset-tags - Destructive
Create a view
Create a view
POST /api/v2/databases/{database}/schemas/{schema}/views - Destructive
Delete a view
Delete a view
DELETE /api/v2/databases/{database}/schemas/{schema}/views/{name}
Warehouse
- Read
List warehouse
Show a list of warehouse filtered by pattern. Equivalent to SHOW WAREHOUSE in SQL.
GET /api/v2/warehouses - Read
Describe warehouse
Describes the warehouse, show information of the chosen warehouse. Equivalent to DESCRIBE WAREHOUSE in SQL.
GET /api/v2/warehouses/{name} - Read
Get the tag assignments for a warehouse.
Returns all tags assigned to a warehouse. This operation requires an active warehouse.
GET /api/v2/warehouses/{name}:get-tags - Write
Resume warehouse
Bring current warehouse to a usable ‘Running’ state by provisioning compute resources if current warehouse is suspended.
POST /api/v2/warehouses/{name}:resume - Write
Suspend warehouse
Remove all compute nodes from a warehouse and put the warehouse into a ‘Suspended’ state if current warehouse is not suspended.
POST /api/v2/warehouses/{name}:suspend - Write
Update and rename warehouse
Specifies a new identifier for the warehouse; must be unique for current account.
POST /api/v2/warehouses/{name}:rename - Write
Abort all queries
Aborts all the queries currently running or queued on the warehouse.
POST /api/v2/warehouses/{name}:abort - Write
Use current warehouse for session (deprecated)
[Deprecated] Specifies the active/current warehouse for the session.
POST /api/v2/warehouses/{name}:use - Write
enable adaptive warehouse
Enable an adaptive warehouse and put the warehouse into a ‘enabled’ state, if the warehouse is not enabled.
POST /api/v2/warehouses/{name}:enable - Write
disable adaptive warehouse
Disable an adaptive warehouse and put the warehouse into a ‘disabled’ state, if the warehouse is not disabled.
POST /api/v2/warehouses/{name}:disable - Write
Set tags on a warehouse.
Set tags on a warehouse.
POST /api/v2/warehouses/{name}:set-tags - Write
Unset tags from a warehouse.
Unset tags from a warehouse.
POST /api/v2/warehouses/{name}:unset-tags - Destructive
Create or replace warehouse
Create a virtual warehouse. Equivalent to CREATE WAREHOUSE in SQL.
POST /api/v2/warehouses - Destructive
Create a (or alter an existing) warehouse.
Create a (or alter an existing) warehouse. Even if the operation is just an alter, the full property set must be provided.
PUT /api/v2/warehouses/{name} - Destructive
Drop warehouse
Removes the specified virtual warehouse from the system. Equivalent to DROP WAREHOUSE in SQL.
DELETE /api/v2/warehouses/{name}
No operations match.
Get started
- Open Space settings → Connections and search for Snowflake.
- Connect your account and add the connection to the Space.
- Ask for what you need in any thread in that Space.
See How connections work for access and permissions, or browse all integrations.
Reference date: October 28, 2026. Snowflake API docs.